'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (babel) {
  var t = babel.types;


  return {
    visitor: {
      ImportDeclaration: function ImportDeclaration(path, _ref) {
        var opts = _ref.opts;
        var node = path.node;
        var cssName = opts.cssName;
        var jsName = opts.jsName;
        var dir = opts.dir;

        cssName = cssName || '@alife/next';
        jsName = jsName || '@alife/next';
        dir = dir || 'lib';
        if (!node) return;
        if (node.source.value === jsName) {
          (function () {
            var jsBase = jsName + '/' + dir + '/',
                cssBase = cssName + '/' + dir + '/';
            node.specifiers.forEach(function (specifier) {
              if (t.isImportSpecifier(specifier)) {
                var comName = specifier.imported.name,
                    lcomName = comName.toLowerCase(),
                    libName = jsBase + lcomName,
                    libCssName = cssBase + lcomName + '/index.scss';
                path.insertAfter(t.importDeclaration([t.ImportDefaultSpecifier(t.identifier(comName))], t.stringLiteral(libName)));
                path.insertAfter(t.importDeclaration([t.ImportDefaultSpecifier(t.identifier(''))], t.stringLiteral(libCssName)));
              }
            });
            path.remove();
          })();
        }
      }
    }
  };
};